Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.beans.common
Class ClientEnumeration

    java.lang.Object
      |
      +--weblogic.beans.common.ClientEnumeration

public class ClientEnumeration
extends java.lang.Object
implements java.util.Enumeration, WLSerializable

This class is used for managing T3Bean clients, which exist as an Enumeration. A T3Client can enumerate through all of the existing T3Bean clients through its `services` reference and methods in T3BeanServicesDef. Here's an example of how a ClientEnumeration might be used:

       T3Client t3 = new T3Client("t3://localhost:7001");
       ClientEnumeration ce = t3.services.beans().findClients("MyT3Bean");

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `T3BeanServicesDef`, Serialized Form

Constructor Summary
`ClientEnumeration()` Constructs a default ClientEnumeration.
`ClientEnumeration(java.util.Vector clients)` Creates a ClientEnumeration with the specified Vector of clients.

Method Summary
`void` | `addClient(weblogic.t3.srvr.Address address)` Adds a client at the specified Address to a ClientEnumeration.
`void` | `destroy()` Internal use only.
`boolean` | `hasMoreElements()` Determines whether a ClientEnumeration has more elements.
`void` | `initialize()` Internal use only.
`java.lang.Object` | `nextElement()` Returns the next element in a ClientEnumeration, to enumerate through all the clients.
`void` | `readObject(WLObjectInput sis)` Internal use only.
`void` | `writeObject(WLObjectOutput sos)` Internal use only.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientEnumeration

    public ClientEnumeration()

  Constructs a default ClientEnumeration. For internal use only.

### ClientEnumeration

    public ClientEnumeration(java.util.Vector clients)

  Creates a ClientEnumeration with the specified Vector of clients. For internal use only.

  Parameters:
    `clients` - Clients

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Determines whether a ClientEnumeration has more elements.
  Specified by:
    hasMoreElements in interface java.util.Enumeration

  Returns:
    True if there are more elements in the Enumeration

### nextElement

    public java.lang.Object nextElement()

  Returns the next element in a ClientEnumeration, to enumerate through all the clients.
  Specified by:
    nextElement in interface java.util.Enumeration

  Returns:
    Next client

### addClient

    public void addClient(weblogic.t3.srvr.Address address)

  Adds a client at the specified Address to a ClientEnumeration. An Address is how various participants in the WebLogic T3Server Framework locate each other.

  Parameters:
    `address` - Location of the T3Client

### initialize

    public void initialize()

  Internal use only.

### destroy

    public void destroy()

  Internal use only.

### readObject

    public void readObject(WLObjectInput sis)
                    throws java.io.IOException,
                           java.lang.ClassNotFoundException

  Internal use only.
  Specified by:
    readObject in interface WLSerializable

  Throws:
    java.lang.ClassNotFoundException - if unable to find the class of the object

### writeObject

    public void writeObject(WLObjectOutput sos)
                     throws java.io.IOException

  Internal use only.
  Specified by:
    writeObject in interface WLSerializable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD